Subject: bug#50566: [core-updates-frozen] Grub fails to decrypt LUKS partition (cryptomount not found)

From: Jonathan Brielmaier <[email-masked]>
Date: Mon, 13 Sep 2021 13:54:36 +0200

Hi folks,

today I finally got my system reconfiguring on core-updates-frozen with
almost all packages I use (minus telegram-desktop, josm and lilypond).
But when I rebooted my PC it got stuck in the grub rescue console :(

```
Welcome to GRUB!

Unkown command 'crpytomount'.
error: disk 'cryptouuid/ad06...' not found.
Entering rescue mode...
[...]
grub rescue> crpytomount -u ad06...
Unknown command 'cryptomount'.
[...]
grub rescue> set
cmdpath=(hd0)/EFI/Guix
prefix=(cryptouuid)/ad06...)/boot/grub
root=cryptouuid/ad06...
```

commit: d1732a007fff1549fd49bae595ef9541bea2a332 (pulled from)
arch: x86_66
config:
```
   (bootloader
     (bootloader-configuration
       (bootloader grub-efi-bootloader)
       (target "/boot/efi")
       (keyboard-layout keyboard-layout)))
   (mapped-devices
     (list (mapped-device
             (source (uuid "ad069897-6b43-4607-b5e9-3f00f9af74aa"))
             (target "cryptroot")
             (type luks-device-mapping))))
   (file-systems
     (append (list
              (file-system
               (mount-point "/boot/efi")
               (device (uuid "2954-F644" 'fat32))
               (type "vfat"))
              (file-system
               (device "/dev/mapper/cryptroot")
               (mount-point "/")
               (type "ext4")
               (dependencies mapped-devices))
              (file-system
               (mount-point "/media/jonathan/arbeit")
               (device (uuid "094e6082-fae5-4ba9-ad94-1a4b6d04a094"))
               (type "ext4")))
             %base-file-systems))
```

I have reconfigured the same system on master two or three days ago. The
reboot back then was successful.

I'll try to collect more information later today...

~Jonathan